> For the complete documentation index, see [llms.txt](https://docs.xplorpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xplorpay.com/api-reference/resources/visas-commercial-enhanced-data-program/submit-enhanced-transaction-data/summary.md).

# Summary

The following table describes the level 3 summary data fields from the [Transactions API](/api-reference/api/payments/cards-card-not-present/transactions.md) request code.

<table><thead><tr><th width="153" valign="top">Name</th><th width="113.6666259765625" valign="top">Data type</th><th width="114.6666259765625" valign="top">Required?</th><th width="93.33331298828125" valign="top">Length</th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top"><code>billing.zip</code></td><td valign="top">String</td><td valign="top">Required</td><td valign="top">10</td><td valign="top">The postal code of the cardholder’s billing address. For example, 85284.</td></tr><tr><td valign="top"><code>shipping.zip</code></td><td valign="top">String</td><td valign="top">Required</td><td valign="top">10</td><td valign="top"><p>The postal code of the cardholder’s shipping address. For example, 85285.</p><p>Set the <code>billing-is-shipping</code> field to <code>true</code> if the cardholder’s shipping and billing postal codes are the same.</p></td></tr><tr><td valign="top"><code>duty-amount</code></td><td valign="top">String</td><td valign="top">Optional</td><td valign="top">12</td><td valign="top">The total amount of import or export duties applied to the order. For example, 10.00</td></tr><tr><td valign="top"><code>freight-amount</code></td><td valign="top">String</td><td valign="top">Optional</td><td valign="top">12</td><td valign="top">The total amount of freight or shipping charges applied to the order. For example, 10.00</td></tr><tr><td valign="top"><code>discount-amount</code></td><td valign="top">String</td><td valign="top">Optional</td><td valign="top">12</td><td valign="top">The total discount applied to the line-item total when an invoice-level discount is present.</td></tr><tr><td valign="top"><code>Invoice</code></td><td valign="top">String</td><td valign="top">Required (Card-not-present transactions)</td><td valign="top">15</td><td valign="top">The invoice number associated with the order. This field is used for reporting, reconciliation.</td></tr><tr><td valign="top"><code>Purchase-Order</code></td><td valign="top">String</td><td valign="top">Required (Card-not-present transactions)</td><td valign="top">15</td><td valign="top">The purchase order number. This field is used to support detailed billing.</td></tr><tr><td valign="top"><code>Order-id</code></td><td valign="top">String</td><td valign="top">Required (Card-not-present transactions)</td><td valign="top">15</td><td valign="top">The unique identifier for the order. This field is used to match transactions to order records.</td></tr></tbody></table>

{% hint style="warning" %}
To qualify card‑not‑present transactions for lower interchange rates, include **at least one** of these fields:

* `Invoice` (highest priority)
* `Purchase-Order`
* `Order-id` (lowest priority)

**Selection rules**

* If you send multiple fields, the system uses the first valid value in this order: `Invoice` → `Purchase-Order` → `Order-id`.
* If a higher‑priority field is present but blank/invalid, the system falls back to the next valid value.
  {% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xplorpay.com/api-reference/resources/visas-commercial-enhanced-data-program/submit-enhanced-transaction-data/summary.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
